Subject: Clone from shallow bundle bug

From: Phillip Susi <[email-masked]>
Date: Tue, 31 Mar 2015 17:10:15 -0400

I made a shallow clone of my repo, then used git bundle create to pack
it all into a bundle file, then cloned from that bundle.  The initial
shallow clone has a .git/shallow file that identifies it as a shallow
clone ( and I guess keeps things from complaining about the missing
history ), but the the repo cloned from the bundle does not, so gitk
run in that clone complains about not being able to find the objects
referenced by the oldest commit in the repo.